NSX-T Data Center REST API

Get available deployment form factors for NSX Application Platform

Get available deployment form factors for NSX Application Platform.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/napp/deployment/platform/form-factors
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/form-factors

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PlatformFormFactors+

Example Response:

{ "available_form_factors":{ "standard": { "node": { "cpu": 4, "ram": 16 "disk": "200" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics"] }, "advanced": { "node": { "cpu": 32, "ram": 64 "disk": "1000" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics", "NSX Intelligence"] }, "evaluation": { "node": { "cpu": 32, "ram": 64 "disk": "1000" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics", "NSX-Intelligence"] } } }

Required Permissions:

read

Feature:

policy_napp

Additional Errors: